{
  "twilightforest:root": {
    "criteria": {
      "make_portal": "2024-09-18 14:05:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diamond_block": {
    "criteria": {
      "has_at_least_9_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_white_tulip": {
    "criteria": {
      "has_red_flower": "2024-09-18 14:05:19 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2024-09-18 14:05:14 +0700"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "forest": "2024-09-18 14:03:18 +0700",
      "forest_hills": "2024-09-18 14:03:07 +0700",
      "savanna": "2024-09-18 14:03:52 +0700",
      "plains": "2024-09-18 14:02:22 +0700",
      "river": "2024-09-18 14:03:00 +0700",
      "desert": "2024-09-18 14:02:59 +0700"
    },
    "done": false
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2024-09-18 14:05:32 +0700"
    },
    "done": true
  }
}